dbXML API

## com.dbxml.db.core.query.plan.logical
Class Name

    java.lang.Object
      com.dbxml.db.core.query.plan.QueryNode
          com.dbxml.db.core.query.plan.logical.LogicalQueryNode
              com.dbxml.db.core.query.plan.logical.Name

Direct Known Subclasses:
  AttributeName, ElementName

public abstract class Name
extends LogicalQueryNode

Name

Constructor Summary
`Name(java.lang.String name)`
`Name(java.lang.String nsURI, java.lang.String name)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`java.lang.String` `getName()`
`java.lang.String` `getNSURI()`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Name

    public Name(java.lang.String nsURI,
                java.lang.String name)

### Name

    public Name(java.lang.String name)

Method Detail

### getNSURI

    public java.lang.String getNSURI()

### getName

    public java.lang.String getName()

### equals

    public boolean equals(java.lang.Object obj)

dbXML API

Copyright (c) 2004 The dbXML Group